Subject: bug#48404:

From: Daniel Mendler <[email-masked]>
Date: Fri, 14 May 2021 20:31:01 +0200

Why not revert the broken M-x predicate until a better solution is
found? For example as I mentioned adding an option which allows to
customize the treatment of obsolete commands (hide, annotate, keep).

It looks like the solution we got now is suboptimal: 1. The version
check does not work for third-party packages, it does not even work for
packages which are part of Emacs (so-long). 2. Since the version check
is broken, an `ignore-errors` wrapper is needed. 3. The behavior is not
customizable, some users may prefer to hide obsolete commands
altogether, some would like to see an annotation and some would like to
keep the obsolete commands in M-x.

Daniel